Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Feb 07 14:28

    jescalan on master

    maintenance badge (compare)

  • Feb 07 08:57
    greenkeeper[bot] commented #269
  • Feb 07 08:57

    greenkeeper[bot] on webpack-4.29.3

    fix(package): update webpack to… chore(package): update lockfile… (compare)

  • Feb 06 14:40
    greenkeeper[bot] commented #269
  • Feb 06 14:40

    greenkeeper[bot] on webpack-4.29.2

    fix(package): update webpack to… chore(package): update lockfile… (compare)

  • Feb 05 12:27
    greenkeeper[bot] commented #286
  • Feb 05 12:27

    greenkeeper[bot] on ava-1.2.1

    chore(package): update ava to v… chore(package): update lockfile… (compare)

  • Feb 05 04:14
    greenkeeper[bot] labeled #287
  • Feb 05 04:14
    greenkeeper[bot] opened #287
  • Feb 05 04:14

    greenkeeper[bot] on nyc-13.2.0

    chore(package): update nyc to v… chore(package): update lockfile… (compare)

  • Feb 04 18:16
    greenkeeper[bot] commented #269
  • Feb 04 18:16

    greenkeeper[bot] on webpack-4.29.1

    fix(package): update webpack to… chore(package): update lockfile… (compare)

  • Jan 27 16:57
    greenkeeper[bot] commented #286
  • Jan 27 16:57

    greenkeeper[bot] on ava-1.2.0

    chore(package): update ava to v… chore(package): update lockfile… (compare)

  • Jan 20 17:44
    greenkeeper[bot] commented #269
  • Jan 20 17:44

    greenkeeper[bot] on webpack-4.29.0

    fix(package): update webpack to… chore(package): update lockfile… (compare)

  • Jan 13 17:25
    greenkeeper[bot] commented #286
  • Jan 13 17:25

    greenkeeper[bot] on ava-1.1.0

    chore(package): update ava to v… chore(package): update lockfile… (compare)

  • Jan 10 19:35
    greenkeeper[bot] commented #269
  • Jan 10 19:35

    greenkeeper[bot] on webpack-4.28.4

    fix(package): update webpack to… chore(package): update lockfile… (compare)

Jeff Escalante
@jescalan
sorry about that
Antonio De Luca
@diligant
thanks!
Eleazar Junsan
@eljun
Guys, is there a way to sort spike collections entries by recent date?
Jeff Escalante
@jescalan
hey sorry for the late response! yeah you can just run Array.sort on the result :)
Eleazar Junsan
@eljun
Hello @jescalan, I think we found a bug using that approach since it only sorts the first object array in the first pagination.
Jeff Escalante
@jescalan
oh i see what you're saying
you could add this feature pretty easily by tossing in a pagination sort function
like right here above this line
Thomas Hoppe
@vanthome

@jescalan thx for the merge in https://github.com/static-dev/spike-css-standards/ Unfortunately, now I'm getting this:

"Unknown error from PostCSS plugin. Your current PostCSS version is 6.0.23, but postcss-custom-properties uses 7.0.5. Perhaps this is the source of the error below."

I think you also need to upgrade postcss-loader here:

https://github.com/static-dev/spike-core/blob/master/package.json

Jeff Escalante
@jescalan
ah butts ok, give me a sec
Thomas Hoppe
@vanthome
Hi Jeff, will this land soon?
Thomas Hoppe
@vanthome
@jescalan Ping
Sanjay Kumar
@deligence
Hello, The Plugin Link on the website (https://spike.js.org/) is taking to https://plugins.spike.cf which is not available. Broken Link!
Luke Hamilton
@lukekhamilton
Hey guys, anyone seen spike render out the doctype like this? <!DOCTYPE html>
Logged an issue for it here too: static-dev/spike#100
sakhnenko
@sakhnenko
Yeah @lukekhamilton I'm getting the same issue after upgrading all the dependencies for the first time in months. Also the embeded youtube videos don't render
Thomas Hoppe
@vanthome
Would be great if this can be taken care of soon, we are blocked by this currently.
Jeff Escalante
@jescalan
haha sorry
i am going to work on this now
contributions alllllways welcome though :)
also this should not be blocking anyone
just downgrade the version
Jeff Escalante
@jescalan
i am unable to reproduce the doctype html issue
just installed latest spike
initialized a project
ran watch
and there are no errors, doctype looks fine
@lukekhamilton @sakhnenko @vanthome - could one or more of you provide more reproduction details in the issue?
Thomas Hoppe
@vanthome

@jescalan can you please just upgrade the outdated dependencies as stated above leading for me to the problem:

"Unknown error from PostCSS plugin. Your current PostCSS version is 6.0.23, but postcss-custom-properties uses 7.0.5. Perhaps this is the source of the error below."

Jeff Escalante
@jescalan
@vanthome could you submit a PR to update it?
Thomas Hoppe
@vanthome
@jescalan hmm, just tried but spike core's tests fail for me even w/o changing a single line:
 1 test failed
  1 test skipped

  watch › incorporates new file when added while watching

  /temp/spike-core/test/watch.js:48

   47:       const contents = fs.readFileSync(testResultFile, 'utf8')
   48:       t.truthy(contents.trim(), '<p>test</p>')                
   49:       fs.unlinkSync(testFile)                                 

  <p>test</p>

  Value is not truthy:
So it would be really great if you can check this.
Jeff Escalante
@jescalan
That error does not come from spike core
it comes from spike-css-standards i'd assume
since that's where postcss-custom-properties is
the watch tests are very difficult. they do not always resolve accurately, since they set up a project, watch it, programmatically reload the file, then check the output. they are a challenging end-to-end test
Also I should probably let everyone know that I am not actively maintaining spike at all right now
Thomas Hoppe
@vanthome
@jescalan posted a PR. Can you accept an publish the new version?
Thomas Hoppe
@vanthome
@jescalan can you PLEASE just publish the new version?
Jeff Escalante
@jescalan
I have been traveling for work and had zero time to work on open source, I'm sorry.
If you are anxious to get a new version, you can just use your fork
There is absolutely nothing forcing you to use the official one in the meantime
also can you link me to the PR? I get literally hundreds of PRs to review per day and I don't have that one in my inbox at the moment
doZennn
@doZennn
Hey, i opened an issue but i think i should have asked here instead.
Anyone have success getting herrstucki/responsive-loader working with spike?
doZennn
@doZennn
Okay looks like removing devtool: 'source-map' fixes it. Sorry for bothering, kinda new to webpack.
doZennn
@doZennn
scratch that, it's acting really weird